fw_setenv(8)

NAME
fw_setenv - Tool for modifying the environment for the bootloader U-Boot

SYNOPSIS
fw_setenv name [ value ]

DESCRIPTION
fw_setenv is a simple tool for modifying the environment for the bootloader U-Boot. The variable name is updated to hold value if it is already set in the environment, else it is created and set. If only the name argument is given, the corresponding variable is deleted. This version of fw_printenv stems from libubootenv and does not hold a built-in default environment. Instead, the default environment is read from a file.

OPTIONS

-h  print a help message

-c, --config <filename>
    configuration file (old fw_env.config)

-f, --defenv <filename>
    default environment if no one found

-V  print program's version

-s, --script <filename>
    read variables to be set from a script

FILES

/etc/fw_env.config
    Configuration file for fw_setenv. Default value of the --config option.

/etc/u-boot-initial-env
    Default U-Boot environment. Default value of the --defenv option.

SEE ALSO
fw_printenv(8)